Bug 1288802 - python-abiword: please support Python 3
Summary: python-abiword: please support Python 3
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 30
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-12-06 03:02 UTC by David H. Gutteridge
Modified: 2019-03-19 14:08 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 19:31:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Abisource 13746 None None None 2019-03-17 21:50 UTC

Description David H. Gutteridge 2015-12-06 03:02:21 UTC
The Abi.py file provided in the python-abiword package is compatible with Python 3 (as is PyGObject 3, which it depends upon), so a future version of the package could simply be changed to require Python 3 instead. (I looked at this as it was on the list of the "Fedora Python 3 Porting Project".)

Comment 1 David H. Gutteridge 2015-12-06 03:38:56 UTC
Although I just noticed the Makefile.am supplied does have a line with a compatibility problem, since it has

overridesdir = `python -c "import gi; print gi._overridesdir"`

I'll file this upstream.

Comment 2 David H. Gutteridge 2015-12-06 03:53:20 UTC
Submitted upstream as http://bugzilla.abisource.com/show_bug.cgi?id=13746.

Comment 3 David H. Gutteridge 2015-12-07 21:17:09 UTC
Upstream has committed the change in trunk.

Comment 4 Jan Kurik 2016-02-24 15:43:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Dominika Krejčí 2016-05-11 09:48:29 UTC
Hello Marc,

do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.io/

Comment 6 Fedora End Of Life 2017-07-25 19:36:13 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 David H. Gutteridge 2017-07-25 21:51:46 UTC
This is still an issue in F25/F26/rawhide. Changing version to rawhide, accordingly.

Comment 8 Jan Kurik 2017-08-15 08:25:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 9 R P Herrold 2017-08-15 14:34:16 UTC
David
I have added the upstream tracker item, and poked there as the patch seems not to have been applied yet

Comment 10 R P Herrold 2017-08-17 20:50:24 UTC
David

upstream indicates there will not be a backport ... 

I will hold this open against the possibility of finding time to backport it

alternatively I am considering moving to an inter-release VCS CO build

-- Russ

Comment 11 Ben Cotton 2018-11-27 17:17:11 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2018-11-30 19:31:19 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Miro Hrončok 2018-11-30 20:13:10 UTC
Still valid. Any news here?

Comment 14 David H. Gutteridge 2018-12-06 23:05:16 UTC
I submitted two trivial patches to address a build consideration where the "python" executable happens to be Python 3, and to reflect the relatively recent expectations of PyGObject 3. These were accepted into upstream's SVN trunk at the time.

Upstream has indicated they aren't interested in integrating these patches into a point release. If Fedora maintainers feel strongly enough about it, they can simply take my patches and add them to the package's spec.

Change set for both is:
https://www.abisource.com/viewvc?view=rev&revision=35171

Comment 15 R P Herrold 2018-12-07 15:15:09 UTC
I was working on a pull from upstream yesterday, trying to get a clean build yesterday in an EPEL 7 environment, fwiw

Comment 16 Ben Cotton 2019-02-19 17:11:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 17 Petr Viktorin 2019-03-19 14:08:58 UTC
What's the status on this?
It's in upstream's master branch, but it looks like there hasn't been a release for some time. Is a release coming? If not, can we do a downstram patch?


Note You need to log in before you can comment on or make changes to this bug.